package com.huiju.welcome.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huiju.welcome.mapper.TaSnapshotPersonMapper;
import com.huiju.welcome.model.TaSnapshotPerson;
import com.huiju.welcome.service.ITaSnapshotPersonService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-03-12
 */
@Service
public class TaSnapshotPersonImpl extends ServiceImpl<TaSnapshotPersonMapper, TaSnapshotPerson> implements ITaSnapshotPersonService {
    @Autowired
    private TaSnapshotPersonMapper taSnapshotPersonMapper;

    @Override
    public IPage<TaSnapshotPerson> getSnapshotList(Page<TaSnapshotPerson> page, String deviceId, String startDate, String endDate) {
        return taSnapshotPersonMapper.getSnapshotList(page, deviceId, startDate, endDate);
    }
}
